List alerts
curl --request GET \
--url https://sandbox.api.reap.global/fraud-alerts/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.api.reap.global/fraud-alerts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.reap.global/fraud-alerts/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"origin": "DETECTED",
"type": "CARD_LOST",
"detectionReason": "<string>",
"cardholderMessage": "<string>",
"transactionOccurredAt": "2023-11-07T05:31:56Z",
"detectedAt": "2023-11-07T05:31:56Z",
"respondedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"reportableUntil": "2023-11-07T05:31:56Z",
"respondableUntil": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}Fraud Alerts
List alerts
Returns a paginated list of fraud alerts, newest transaction first. Filter by status, card, transaction, origin, or transaction time range. No status default is applied.
GET
/
fraud-alerts
/
List alerts
curl --request GET \
--url https://sandbox.api.reap.global/fraud-alerts/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.api.reap.global/fraud-alerts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.reap.global/fraud-alerts/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"origin": "DETECTED",
"type": "CARD_LOST",
"detectionReason": "<string>",
"cardholderMessage": "<string>",
"transactionOccurredAt": "2023-11-07T05:31:56Z",
"detectedAt": "2023-11-07T05:31:56Z",
"respondedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"reportableUntil": "2023-11-07T05:31:56Z",
"respondableUntil": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Query Parameters
Maximum number of items to return (1-100, default: 20)
Required range:
x <= 100Examples:
20
50
100
Opaque cursor for pagination. Pass nextCursor from previous response to get next page.
Filter by fraud alert status (comma-separated)
Available options:
PENDING, CONFIRMED, DECLINED, EXPIRED Filter by card ID
Filter by card transaction ID
Filter by how the alert entered the system (comma-separated)
Available options:
DETECTED, REPORTED Inclusive lower bound on the underlying transaction time. ISO 8601 datetime.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Inclusive upper bound on the underlying transaction time. ISO 8601 datetime.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$